import request from '../utils/request';


// 系统常量
export function getSystemConsts(params) {
  return request({
    url: '/parameterCompany/query/parameterTenant',
    params
  })
}

// 获取部门下成员
export function getDepartmentList(data) {
  return request({
    url: '/baseStaff/query/staffsByDept',
    method: 'get',
    params: data
  });
}


// 获取部门下成员(过滤掉无手机号成员)
export function getstaffsHasTelByDept(data) {
  return request({
    url: '/baseStaff/query/staffsHasTelByDept',
    method: 'get',
    params: data
  });
}

// 获取公司下船
export default {
  companyVessels(data) {
    return request({
      url: '/baseVessel/query/companyVessels',
      method: 'get',
      params: data
    });
  }
}
